Skip to main content
GET
/
dashboards
List dashboards
curl --request GET \
  --url https://api.axiom.co/v2/dashboards \
  --header 'Authorization: Bearer <token>'
[
  {
    "createdAt": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "dashboard": {
      "name": "<string>",
      "owner": "<string>",
      "charts": [
        {
          "id": "<string>",
          "type": "TimeSeries",
          "query": {
            "apl": "<string>",
            "queryOptions": {
              "displayNull": "auto",
              "overlayCharts": "true",
              "shownColumns": "<string>",
              "timeSeriesVariant": "area",
              "timeSeriesView": "charts"
            }
          },
          "name": "<string>"
        }
      ],
      "layout": [
        {
          "i": "<string>",
          "x": 5,
          "y": 4503599627370495,
          "w": 6,
          "h": 50,
          "minW": 6,
          "minH": 50.25,
          "maxW": 6,
          "maxH": 50,
          "static": true
        }
      ],
      "refreshTime": 15,
      "schemaVersion": 2,
      "timeWindowStart": "<string>",
      "timeWindowEnd": "<string>",
      "description": "<string>",
      "against": "-1h",
      "againstTimestamp": "<string>",
      "uid": "<string>"
    },
    "id": "<string>",
    "uid": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "updatedBy": "<string>",
    "version": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://axiom.co/docs/llms.txt

Use this file to discover all available pages before exploring further.

If you authenticate with an API token, this endpoint doesn’t return private dashboards. It only returns dashboards shared with everyone in your organization or with a group.

Authorizations

Authorization
string
header
required

Authenticate using an API token or personal access token (PAT). Include the token as a Bearer token: Authorization: Bearer <token>. For more information, see Tokens.

Query Parameters

limit
integer<int64>
default:100
Required range: 1 <= x <= 1000
offset
integer<int64>
default:0
Required range: x >= 0

Response

200 - application/json

List of dashboards

createdAt
string<date-time>
required
createdBy
string
required
dashboard
object
required
id
string
required
uid
string
required
updatedAt
string<date-time>
required
updatedBy
string
required
version
integer<int64>
required